<?
require'sys/head2.php';
require'sys/conf.php';
require'otsev.php';
if(!empty($_GET['reg'])){$reg = $_GET['reg'];} else {$reg= '';}
 switch($reg){
default:
$typ=$_POST[num];session_start();
$rand=$_SESSION['code'];
if($typ==$rand){
$ipp=$_SERVER['REMOTE_ADDR'];$tm=time();$tmm=$tm+900;
$re=mysql_fetch_array(qw("SELECT id,time FROM rega WHERE ip='$ipp'"));
if($re['id']>0 and $re['time']>$tm){
$rr=$re['time']-$tm;
$sec = $rr;
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Следующая регистрация с вашего IP возможна через <b>$min</b>мин. <b>$sec</b>сек.<br/>";
}else{
$login=$_POST['login'];$mail=$_POST['mail'];
$strana =addslashes(trim($_POST['strana']));
$strana=preg_replace('/\s+/', ' ', $strana);
if (empty($login)){echo"Не введён Логин!<br/>";
}elseif (empty($mail)){echo"Не введён e-mail!<br/>";
}elseif (empty($typ)){echo"Не введён код!<br/>";
}elseif (empty($strana)){echo"Не введена Страна<br/>";}else{
if (strlen($_POST['login']) < 4 ){
echo"Логин меньше 4-х символов!<br/>";
} elseif (preg_match("/^[0-9a-z]+$/i", $_POST['login'])) {
if (strlen($_POST['mail']) < 4 ){
echo"E-mail меньше 4-х символов!<br/>";
} elseif (eregi("^[a-zA-Z0-9\._-]+@[a-zA-Z0-9\._-]+\.[a-zA-Z]{2,4}$",$mail)) {
if (strlen($_POST['strana']) < 4) {
echo("Страна меньше 4-х символов!<br/>");
} elseif (preg_match("#^([a-zA-Zа-яёА-ЯЁ0-9\-\!\ ])+$#ui", $_POST['strana'])) {
$rsl=mysql_fetch_array(qw("SELECT id FROM users WHERE `login`='$login'"));
if($rsl['id']>0){echo"Такой логин уже существует!<br>";}else{
$rsg=mysql_fetch_array(qw("SELECT id FROM gos WHERE `strana`='$strana'"));
if($rsg['id']>0){echo"Такая страна уже существует!<br>";}else{
$time=time();$time=$time+900;
qw("DELETE FROM rega WHERE ip='$ipp'");
qw("INSERT INTO rega (ip,time) VALUES('$ipp','$time')");
$par=rand(111111,999999);
$par1=md5($par);$par2=substr($par1,0,6);
$par3=md5($par2);
$time=time();
/////////////////////////////////////////////////////////////////////
$ip=$_SERVER['REMOTE_ADDR'];$soft=$_SERVER['HTTP_USER_AGENT'];
$ip2=$_SERVER['HTTP_X_FORWARDED_FOR'];
require'sys/civ.php';$er=rand(11111,99999);$strana=civa($strana);
if(eregi("({CENS})",$strana)){$strana="Лошара$er";}

if(empty($_GET[rf])){$ref=substr($_POST[pk],3,10);$ref=$ref/4;}else{$ref=$_GET[rf]/5;}
if(empty($ref)){$ref=1;}else{$ref=$ref;}$dat=time();
if($ref!=1){$rb=5;}else{$rb=0;}
mysql_query("UPDATE users SET RB=RB+5 WHERE id='$ref'");
$rsg=mysql_fetch_array(qw("SELECT strana FROM gos WHERE login=(SELECT login FROM users WHERE id='$ref')"));
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$rsg[strana]','@','$dat','0','0','У вас новый реферал($strana)')");
qw("INSERT INTO users (login,pass,mail,data,tema,RB,ref) VALUES('$login','$par3','$mail','$time','2','$rb','$ref')");
$pus=rand(11111,99999);$time2=$time+1;
qw("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk,ip,ip2,soft) VALUES
('$login','$strana','$time','$time','$time','$time','$time','$time','$ip','$ip2','$soft'),
('K','Пустыня $strana $pus','$time2','$time2','$time2','$time2','$time2','$time2','0','0','0')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
$v11=rand(700,1300);$v21=rand(100,700);$v31=4000;
qw("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana','$v1','$v2','$v3'),('Пустыня $strana $pus','$v11','$v21','$v31')");
qw("INSERT INTO domik (strana) VALUES('$strana')");
qw("INSERT INTO domik (strana,domik5) VALUES('Пустыня $strana $pus','1')");
/////////////////////////////////////////////////////////////////////
$mon = qw("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
qw("INSERT INTO sosed (strana1,strana2) VALUES('$strana','$arr[strana]')");
if($arr[login]!='K'){
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana')");
}}
$mon = qw("SELECT login,strana FROM gos WHERE datareg<'$time2' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
qw("INSERT INTO sosed (strana1,strana2) VALUES('Пустыня $strana $pus','$arr[strana]')");
if($arr[login]!='K'){
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во Пустыня $strana $pus')");
}}
////////////////////////////////////////////////////////////////////
$subject = "Цивилизация http://nova.ciwa.ru";
$message = "Вы успешно зарегистрировались в игре Цивилизация \n
Ваш логин : $login \n Ваш пароль: $par2 \n ";
$mailheaders = "Content-type:text/plain;charset=utf-8 \r\n";
$mailheaders .= "From: RegBot <kip4ak.ru@bk.ru> \r\n";
$mailheaders .= "Reply-To: kip4ak.ru@bk.ru \r\n";
mail($mail, $subject, $message, $mailheaders);
echo"Ваш логин <b>$login</b><br/>
Ваш пароль <b>$par2</b><br/>";
echo'<a href="enter.php?login='.$login.'&amp;pass='.$par2.'">В игру</a><br/>';

}}} else {
echo("В Стране обнаружены запрещённые символы!<br/>");
}
} else {
echo("Ошибочный email<br/>");
}
} else {
echo"В Логине обнарyжены запрещённые символы!<br/>";
}
}}}else{echo"Неверный код!<br/>";}
echo'<a href="reger.php">Назад</a><br/>';
echo'<a href="index.php">На главную</a><br/>';
break;
}

require'sys/foot.php';
